メインコンテンツへスキップ
POST
/
support
/
docs-search
AIを使ってFirecrawlのドキュメントを検索する
curl --request POST \
  --url https://api.firecrawl.dev/v2/support/docs-search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "question": "<string>"
}
'
{
  "requestId": "<string>",
  "answer": "<string>",
  "evidence": [
    {
      "pathOrUrl": "<string>",
      "reason": "<string>"
    }
  ],
  "usage": {
    "inputTokens": 123,
    "outputTokens": 123,
    "totalTokens": 123
  },
  "durationMs": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt

Use this file to discover all available pages before exploring further.

/support/docs-search エンドポイントは、Firecrawl の公開ドキュメントに基づいて質問に回答します。Firecrawl APIキーが必要です。関連するドキュメントページへの引用付きで、簡潔な回答を返します。

ユースケース

  • AIエージェント:Firecrawl APIの使い方、パラメータ、ベストプラクティスを調べる必要がある場合
  • サポートボット:ドキュメントをもとに顧客からの質問に回答する場合
  • 開発ツール:関連ドキュメントをインラインで表示する場合

curl -X POST https://api.firecrawl.dev/v2/support/docs-search \
  -H "Authorization: Bearer fc-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "question": "what header carries the webhook signature, and how do I verify it?"
  }'

レスポンス

{
  "requestId": "req_...",
  "answer": "The signature is sent in the X-Firecrawl-Signature header...",
  "evidence": [
    {
      "pathOrUrl": "webhooks/security.mdx#L1-L52",
      "reason": "Documents webhook signature verification"
    }
  ],
  "usage": { "inputTokens": 4356, "outputTokens": 688, "totalTokens": 5044 },
  "durationMs": 11252
}

レスポンスフィールド

フィールド説明
answerstringFirecrawl のドキュメントに基づく簡潔な回答
evidencearray参照したドキュメントページ。pathOrUrlreason を含みます
usageobjectトークン使用量 (inputTokensoutputTokenstotalTokens)
durationMsinteger合計実行時間 (ミリ秒)
機能の詳細なガイドについては、Ask 機能のドキュメントを参照してください。
Firecrawl APIキーが必要な AI エージェントですか? 自動オンボーディング手順については、firecrawl.dev/agent-onboarding/SKILL.mdを参照してください。

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

application/json
question
string
必須

Firecrawlの公開ドキュメントに基づいて回答する質問。

Required string length: 1 - 8000

レスポンス

ドキュメントに基づく回答が正常に返されました。

requestId
string

このrequestの一意の識別子。

answer
string

Firecrawlの公開ドキュメントに基づく簡潔な回答。

evidence
object[]

回答で参照されたドキュメントのページ。

usage
object
durationMs
integer

合計実行時間(ミリ秒)。